{% extends 'base.html' %}
{% load duration %}
{% load socialaccount %}
{% block 'head' %}
  <title>Momento: {{ discussion.title }}</title>
  <style>
    .discussion {
      margin-bottom: 0.25rem;
      padding: 0.10rem 0.10rem 0.5rem 0.10rem;
      display: block;
      text-decoration: none;
      border-radius: 0;
      color: whitesmoke;
      transition: filter .15s ease-in-out;
    }
    .dateDiscussion {
      padding: 0 0.5rem 0 0.5rem;
      margin: 0 0 0.25rem 0;
      font-size: small;
      text-align: right;
      transition: filter .15s ease-in-out;
    }
    .discussion:hover {
      filter: brightness(120%);
    }
    .discussionGreen {
      background-color: Green;
    }
    .dateDiscussionGreen {
      background-color: DarkGreen;
    }
    .discussionBlue {
      background-color: Blue;
    }
    .dateDiscussionBlue {
      background-color: MediumBlue;
    }
    .discussionRed {
      background-color: FireBrick;
    }
    .dateDiscussionRed {
      background-color: DarkRed;
    }
  </style>
{% endblock %}
{% block 'main' %}
  <a href="{% url 'event-details' pk=discussion.event.pk %}" class="d-block text-start">&lt; Torna a all'evento “{{ discussion.event.title }}”</a>
  <h1>Momento: {{ discussion.title }}</h1>
  {% if discussion.event.open %}
    🔓 Questo evento è aperto a tutti.<br>
  {% else %}
    🔒 Questo evento è riservato ai soli utenti invitati.<br>
  {% endif %}

  {% if not discussion.closed and discussion.start %}
  {% for contrib in my_open_contribution_list %}
    <a href="{% url 'contribution-del' pk=contrib.pk %}"  class="py-4 btn btn-lg btn-danger m-1 border border-dark rounded-0 d-block">
      ⚙️ Cancella il tuo intervento programmato.
    </a>
  {% empty %}
  <a href="{% url 'contribution-add' pk=discussion.pk %}" class="py-4 btn btn-lg btn-success m-1 border border-dark rounded-0 d-block">
    ✋ Prenota un intervento.
  </a>
  {% endfor %}
  {% endif %}

  <h3>Interventi programmati:</h3>
  {% for contribution in open_contribution_list %}
    <a class="discussion discussion{% if contribution.start %}Green{% else %}Blue{% endif %} border border-dark">
      <!--{% if contribution.start %}
      <p class="dateDiscussion dateDiscussion{% if contribution.start %}Green{% else %}Blue{% endif %} border border-dark">
        {{ contribution.start|time:'H:i:s' }}
      </p>
      {% endif %}-->
      <b>{{ contribution.user.socialaccount_set.all.0.extra_data.name }}</b>{% if contribution.title %}: {{ contribution.title }}{% endif %}
      {% if owner %}
      <a href="{% url 'contribution-del'   pk=contribution.pk %}">Delete</a>
      <a href="{% url 'contribution-start' pk=contribution.pk %}">Start</a>
      <a href="{% url 'contribution-stop'  pk=contribution.pk %}">Stop</a>
      {% endif %}
    </a>
  {% empty %}
  Nessun intervento programmato.
  {% endfor %}
  <h3>Interventi terminati:</h3>
  {% for contribution in closed_contribution_list %}
    <a class="discussion discussionRed border border-dark">
      <!--<p class="dateDiscussion dateDiscussionRed border border-dark">
        {{ contribution.contribTime|duration }}
      </p>-->
      <b>{{ contribution.user.socialaccount_set.all.0.extra_data.name }}</b>{% if contribution.title %}: {{ contribution.title }}{% endif %}
    </a>
  {% empty %}
  Nessun intervento concluso.
  {% endfor %}
{% endblock %}